@echo off

:top
cls
echo NAM Goodies Pack - Version 1.0
echo Authored by: Jonah Bishop
echo.
echo What do you want to do?
echo.
echo A - Load All Goodies
echo B - Only Load New M-60 Sound
echo C - Only Load New M-60 Gunner Con File
echo D - Only Load New Crosshair Patch
echo.
echo R - Remove All Goodies
echo T - Read Text File
echo U - Unload All Goodies
echo.
echo X - Exit This Program
echo.
choice /n /c:abcdrtux
if errorlevel 8 goto end
if errorlevel 7 goto unload
if errorlevel 6 goto text
if errorlevel 5 goto remove
if errorlevel 4 goto cross
if errorlevel 3 goto gunner
if errorlevel 2 goto sound
if errorlevel 1 goto all

:all
cls
echo Now loading all NAM goodies...
echo.
echo Checking for existing files...
echo.
if not exist *.ngd goto allc
if exist Tiles009.art goto allb
if exist PLT009.voc goto allb
if exist default2.con goto allb
goto all2

:allb
echo Backing up existing files...
echo.
rename Tiles009.art Tiles009.gdd
rename PLT009.voc PLT009.gdd
rename default2.con default2.gdd
echo Finished with backup.
echo.

:allc
echo Files seem to be already loaded.
echo If this is not the case, delete all the files
echo that came with this package, and reinstall.
echo.
pause
goto top

:all2
echo Now writing all new files...
echo.
rename tiles009.ngd tiles009.art
rename plt009.ngd plt009.voc
rename default2.ngd default2.con
echo All new goodies successfully loaded!
echo.
pause
goto top

:sound
cls
echo Searching for existing sound file...
echo.
if exist plt009.voc goto soundb
goto sound2

:soundb
echo Backing up sound file...
echo.
rename plt009.voc plt009.gdd
echo Finished with backup.
echo.

:sound2
echo Writing new sound file...
echo.
rename plt009.ngd plt009.voc
echo New sound file successfully loaded!
echo.
pause
goto top

:gunner
cls
echo Searching for existing con file...
echo.
if exist default2.con goto gunnerb
goto gunner2

:gunnerb
echo Backing up con file...
echo.
rename default2.con default2.gdd
echo Finished with backup.
echo.

:gunner2
echo Writing new con file...
echo.
rename default2.ngd default2.con
echo New gunner con file successfully loaded!
echo.
pause
goto top

:cross
cls
echo Searching for existing art file...
echo.
if exist tiles009.art goto crossb
goto cross2

:crossb
echo Backing up existing art file...
echo.
rename tiles009.art tiles009.gdd
echo Finished with backup.
echo.

:cross2
echo Writing new art file...
echo.
rename tiles009.ngd tiles009.art
echo New crosshair art patch successfully loaded!
echo.
pause
goto top

:remove
cls
echo Now removing all goodies.  Ignore the following messages
echo that read "batch file missing" and "file not found".
echo.
if exist tiles009.art rename tiles009.art tiles009.ngd
if exist plt009.voc rename plt009.voc plt009.ngd
if exist default2.con rename default2.con default2.ngd
del tiles009.ngd
del plt009.ngd
del default2.ngd
if exist tiles009.gdd rename tiles009.gdd tiles009.art
if exist default2.gdd rename default2.gdd default2.con
if exist plt009.gdd rename plt009.gdd plt009.voc
del namgoods.*
goto end2

:text
cls
type namgoods.txt | more
pause
goto top

:unload
cls
echo Now unloading all goodies...
echo.
if exist tiles009.art rename tiles009.art tiles009.ngd
if exist plt009.voc rename plt009.voc plt009.ngd
if exist default2.con rename default2.con default2.ngd
if exist tiles009.gdd rename tiles009.gdd tiles009.art
if exist default2.gdd rename default2.gdd default2.con
if exist plt009.gdd rename plt009.gdd plt009.voc
echo Files found (if any) were successfully unloaded!
echo.
pause
goto top

:end
cls
echo Thanks for trying the NAM Goodies Pack!
echo I hope you enjoy(ed) it!
echo.
echo Drop by Map FAQ Central today!
echo http://mapfaq.3dportal.com
echo.
echo (C) Jonah Bishop 1998
echo.

:end2